libftgl2-2.1.3~rc5-lp150.58.2.x86_64.rpm


Advertisement

Description

libftgl2 - Library for Using Arbitrary Fonts in OpenGL Applications

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libftgl2
Package version 2.1.3~rc5
Package release lp150.58.2
Package architecture x86_64
Package type rpm
Installed size 394.89 KB
Download size 104.38 KB
Official Mirror ftp.gwdg.de
FTGL is a C++ library using Freetype2 to render fonts in OpenGL
applications. FTGL supports bitmaps, pixmaps, texture maps, outlines,
polygon mesh, and extruded polygon rendering modes.

Alternatives

Package Version Architecture Repository
libftgl2-2.1.3~rc5-lp150.2.6.x86_64.rpm 2.1.3~rc5 x86_64 openSUSE Oss
libftgl2 - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1()(64bit) -
libGLU.so.1()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libfreetype.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
libftgl.so.2()(64bit) -
libftgl2 = 2.1.3~rc5-lp150.58.2
libftgl2(x86-64) = 2.1.3~rc5-lp150.58.2

Download

Type URL
Binary Package libftgl2-2.1.3~rc5-lp150.58.2.x86_64.rpm
Source Package ftgl-2.1.3~rc5-lp150.58.2.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libftgl2 rpm package:
    # zypper install libftgl2

Files

Path
/usr/lib64/libftgl.so.2
/usr/lib64/libftgl.so.2.1.3
/usr/share/doc/packages/libftgl2/AUTHORS
/usr/share/doc/packages/libftgl2/BUGS
/usr/share/doc/packages/libftgl2/COPYING
/usr/share/doc/packages/libftgl2/ChangeLog
/usr/share/doc/packages/libftgl2/NEWS
/usr/share/doc/packages/libftgl2/README
/usr/share/doc/packages/libftgl2/TODO

Changelog

2018-03-26 - crrodriguez@opensuse.org
- Remove Requires on Mesa-devel, automated pkgconfig()
Requires are enough in this case.
2017-12-07 - kkaempf@suse.com
- adapt install-FTVectoriser.h.patch to install more .h files
required by tulip-5.1.0
2017-07-12 - jengelh@inai.de
- Remove --with-pic which is only for static libs.
- RPM group fix.
- Trim redundant wording from description.
2017-07-12 - tchvatal@suse.com
- Trim a bit description and fix group for demo
2017-06-28 - kkaempf@suse.com
- add install-FTVectoriser.h.patch
install FTVectoriser.h, required by tulip-5.0
- fix documentation build
(add texlive-epstopdf and ghostscript to BuildRequires)
2015-04-14 - tiwai@suse.de
- Fix download URL containing percent letters to make "osc service
localrun download_files" working
2015-04-13 - mpluskal@suse.com
- Add baselibs to sources
2015-04-12 - mpluskal@suse.com
- Use url for source
- Use tilde in version
- Clenaup spec file with spec-cleaner
- Update dependencies
- Remove obsolete defines
2012-09-18 - idonmez@suse.com
- Add explicit glu dependency
2011-10-01 - coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable

See Also

Package Description
libgavl-devel-1.4.0rsvn4256-lp150.23.6.x86_64.rpm Library which provides basic support for uncompressed multimedia data
libgavl1-1.4.0rsvn4256-lp150.23.6.x86_64.rpm Library which provides basic support for uncompressed multimedia data
libges-1_0-0-1.14.2-lp150.54.1.x86_64.rpm GStreamer Editing Services - Libraries
libgig-devel-4.1.0-lp150.18.1.x86_64.rpm Library for loading Gigasampler and DLS Level 1/2 files
libgig-tools-4.1.0-lp150.18.1.x86_64.rpm Example applications for libgig
libgig8-4.1.0-lp150.18.1.x86_64.rpm Library for loading Gigasampler and DLS Level 1/2 files
libglyr1-1.0.10-lp150.44.8.x86_64.rpm Search engine for music related metadata
libgme-devel-0.6.2-lp150.28.4.x86_64.rpm Development libraries and headers for libgme
libgme0-0.6.2-lp150.28.4.x86_64.rpm Collection of video game music file emulators
libgmyth-devel-0.7.1-lp150.8.7.x86_64.rpm GMyth Frontend Library - Development files
libgmyth0-0.7.1-lp150.8.7.x86_64.rpm GMyth Frontend Library
libgpod-devel-0.8.3-lp150.70.1.x86_64.rpm Development files for libgpod
libgpod-doc-0.8.3-lp150.70.1.noarch.rpm Documentation for libgpod
libgpod-lang-0.8.3-lp150.70.1.noarch.rpm Translations for package libgpod
libgpod-tools-0.8.3-lp150.70.1.x86_64.rpm Tools for libgpod
Advertisement
Advertisement